//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#include "../include/engine/error.h"

void Throw(const char* message1, const char* message2)
{
	#ifdef _DEBUG

	_asm int 3

	#else

	char buf[256];
	sprintf(buf, "Error!\n%s%s", message1, message2);
	throw new SException(buf);

	#endif
}

void Throw(const char* message)
{
	#ifdef _DEBUG

	_asm int 3

	#else

	char buf[256];
	sprintf(buf, "Error!\n%s", message);
	throw new SException(buf);

	#endif
}

void Throw(int line_num, const char* filename)
{
	#ifdef _DEBUG

	_asm int 3

	#else

	char buf[256];
	sprintf(buf, "Error!\nFile: %s\nLine: %d", filename, line_num);
	throw new SException(buf);

	#endif
}
